Page MenuHomePhabricator

Display MT abuse validations on translation restore
Closed, ResolvedPublic

Description

  1. If the restored translation has validation errors (MT abuse errors), should we show it immediately after restore
    1. For unmodified MT sections?
    2. For user translations, but having unmodified content above threshold?
  2. Or, should this be consistent with the translation process, where the errors are delayed till a section modification

Event Timeline

santhosh created this task.Aug 2 2018, 10:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2018, 10:47 AM

If the restored translation has validations errors(MT abuse errors), we should show them immediately after restore.
When you continue a translation you want to continue the work that was done, and having the elements that need improvement visible from the very beginning is helpful to understand the current status and what to improve. I''d say that this applies to all kinds of warnings, including "unmodified MT sections" that the user added and forgot to edit further in the last session (is good to remind from the beginning that work is pending since the last session), and "user translations with unmodified content above threshold" (is good to reming that further edits are needed).

The idea of delaying the warnings does not apply in the restoring context. We can delay warnings for a while to give you a chance to edit the initial translation, but if you stopped working on a translation we can assume you already had the chance to improve the content and it is better to tell you what's missing.

santhosh claimed this task.Aug 2 2018, 12:29 PM
Arrbee moved this task from Needs Triage to CX2 on the ContentTranslation board.Aug 6 2018, 10:02 AM
Pginer-WMF triaged this task as Normal priority.Aug 6 2018, 10:30 AM
Pginer-WMF moved this task from Backlog to Priority backlog on the Language-2018-July-September board.

Change 451236 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Do the validation on all restored sections without delay

https://gerrit.wikimedia.org/r/451236

Change 451236 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Do the validation on all restored sections without delay

https://gerrit.wikimedia.org/r/451236

Petar.petkovic moved this task from In Review to QA on the Language-2018-July-September board.
Petar.petkovic removed a subscriber: gerritbot.
Etonkovidova closed this task as Resolved.Oct 5 2018, 10:30 PM
Etonkovidova added a subscriber: Etonkovidova.

Checked in cx2 and enwiki (wmf.24) - errors and warnings are preservedl when a translation with issues is loaded, the warnings are in place.